#ifndef __HOTAPPLET_H__
#define __HOTAPPLET_H__

#include <gnome.h>
#include <panel-applet.h>
#include <sensors/sensors.h>

typedef struct
{
  PanelApplet *applet; 
  GtkWidget *hbox;
  GtkWidget *hotlabel;
  GtkWidget *prefs;
  GtkWidget *about;

  int timeout;

  gint timeout_id;
    
  FILE *config_file;
  const sensors_chip_name *chip;
    
  GtkWidget *pix;
  GtkTooltips *tooltip;
  gpointer *menu;
} HotApplet;

#endif
